# reviewed at https://bugzilla.redhat.com/show_bug.cgi?id=497525

# In spite of this being the original version, a forked project already claimed
# the name "bubblemon" in Fedora. We therefore use "gnome-applet-bubblemon" as
# the package name.
# This however prohibits using the name-macro in the rest of this file a
# number of times.

Name:           gnome-applet-bubblemon
Version:        2.0.15
Release:        1%{?dist}
Summary:        Bubbling Load Monitoring Applet for the GNOME Panel

Group:          Applications/System
License:        GPLv2+
URL:            http://www.nongnu.org/bubblemon/
Source0:        http://savannah.inetbridge.net/bubblemon/bubblemon-%{version}.tar.gz
# The BuildRoot tag is set by RPM automatically since Fedora 10.
# rpmlint however complains when it is absent.
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Notes:
# Minimum versions for the BuildRequires as required by configure refer to older
# versions which were present in Fedora 8 or earlier. The version numbers
# have therefore been removed.
BuildRequires:  gettext
BuildRequires:  gnome-panel-devel
BuildRequires:  intltool
# libgnomeui gets pulled in by gnome-panel-devel
#BuildRequires:  libgnomeui-devel
BuildRequires:  libgtop2-devel

# The Requires tag is automatically deducted by RPM but gnome-panel is not
# detected, therefore listed separately.
Requires: gnome-panel

%description
The Bubbling Load Monitor (or "Bubblemon" for short) is a panel applet that
displays the CPU and memory load as a bubbling liquid.

It displays something that looks like a vial containing water:
- The water level indicates how much memory is in use.
- The color of the liquid indicates how much swap space is used (watery blue
  means none and angry red means all).
- The system CPU load is indicated by bubbles floating up through the liquid;
  lots of bubbles means high CPU load. On SMP systems CPU load distribution is
  visualized by having the most heavily loaded CPUs bubbles in the middle and
  the others nearer to the edges.
- Seaweeds / reed growing up from the bottom indicate IO load;
  high weeds equals high load.
- If you have unread mail, a message in a bottle falls into the water. 

Choose "Add to Panel"->"Bubbling Load Monitor" in your GNOME Panel.


%prep
%setup -q -n bubblemon-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang bubblemon

%clean
rm -rf %{buildroot}


%files -f bubblemon.lang
%defattr(-,root,root,-)
%{_libexecdir}/bubblemon-gnome2
%{_libdir}/bonobo/servers/GNOME_BubblemonApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_BubblemonApplet.xml
%{_datadir}/pixmaps/bubblemon.png

%doc AUTHORS ChangeLog COPYING FAQ PROFILING README TODO TRANSLATIONS
%{_mandir}/man1/bubblemon-gnome2.1.gz
%lang(hu) %{_mandir}/hu/man1/bubblemon-gnome2.1.gz
%lang(sv) %{_mandir}/sv/man1/bubblemon-gnome2.1.gz


%changelog
* Thu Dec 24 2009 Edwin ten Brink <fedora at tenbrink-bekkers.nl> - 2.0.15-1
- Upgraded to 2.0.15, which fixes a crash which occurs in some locales.

* Mon May 11 2009 Edwin ten Brink <edwin.ten.brink at gmail.com> - 2.0.14-1
- Upgraded to version 2.0.14.

* Sat Apr 25 2009 Edwin ten Brink <edwin.ten.brink at gmail.com> - 2.0.13-3
- Incorporated following suggestions from Fedora package review process:
  Changed name to gnome-applet-bubblemon. Changed license to GPLv2+.
  Removed AutoReqProv. Added Requires: gnome-panel. Removed doc ABOUT-NLS.
  Modified make install to preserve timestamps.

* Mon Apr 21 2009 Edwin ten Brink <edwin.ten.brink at gmail.com> - 2.0.13-2
- Added seaweeds to description. Added ABOUT-NLS to documentation.
  Fine-tuned BuildRequires (removed packages which were also included via
  dependencies in the mentioned BuildRequires).

* Sat Apr 19 2009 Edwin ten Brink <edwin.ten.brink at gmail.com> - 2.0.13-1
- Converted to use Fedora packaging guidelines and additional clean-up for
  submission into Fedora. Updated description. Removed the (now obsoleted)
  French translations. Updated BuildRequires to reflect reality.

* Thu Jul 10 2008 Edwin ten Brink <edwin.ten.brink at gmail.com> - 2.0.9
- Changed to newer RPM format: Copyright -> License, removed old bug
  work-around for install, fixed name and version macro's, changed
  Requires: from libgtop -> Automatic Dependencies, added clean-up of
  the build root, fixed man page locations.

* Mon Mar 03 2003 Eric Lassauge <lassauge at mail.dotcom.fr>
- Added french translations

